# classes/phing/tasks/ext/PackageAsPathTask.php

Convert dot-notation packages to relative paths.

author
  Hans Lellelid
package
  phing.tasks.ext
version
  $Id: PackageAsPathTask.php 526 2009-08-11 12:11:17Z mrook $

## \PackageAsPathTask
jump to top

Convert dot-notation packages to relative paths.

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Hans Lellelid
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
version
  $Id: PackageAsPathTask.php 526 2009-08-11 12:11:17Z mrook $

### Properties

`$name= ''`

The value to store the conversion in.

Details

Type

`$pckg= ''`

The package to convert.

Details

Type

### Methods

`main( ) :`
Executes the package to patch converstion and stores it in the user property `value`.
`setName( string $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name | string | the Ant variable to store the path in

`setPackage( string $pckg ) :`
Parameters

Name | Type | Description
--- | --- | ---
$pckg | string | the package to convert

Documentation was generated by DocBlox 0.13.1.